%{?nodejs_find_provides_and_requires}

%global packagename oauth2orize
%global enable_tests 1

Name:		nodejs-oauth2orize
Version:	1.8.0
Release:	1%{?dist}
Summary:	OAuth 2.0 authorization server toolkit for Node.js

License:	MIT
URL:		https://github.com/jaredhanson/oauth2orize
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(debug)
BuildRequires:	npm(uid2)
BuildRequires:	npm(utils-merge)
%if 0%{?enable_tests}
BuildRequires:	npm(chai)
BuildRequires:	npm(chai-connect-middleware)
BuildRequires:	npm(chai-oauth2orize-grant)
BuildRequires:	npm(mocha)
%endif

%description
OAuth 2.0 authorization server toolkit for Node.js.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha --require test/bootstrap/node test/*.test.js test/**/*.test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc
%license
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Apr 19 2017 Jared Smith <jsmith@fedoraproject.org> - 1.8.0-1
- Update to upstream 1.8.0 release

* Sat Jan  7 2017 Jared Smith <jsmith@fedoraproject.org>
- 
